Subject: Re: [PATCH v5 09/12] firmware: arm_scmi: add Powercap MAI get/set support

From: Cristian Marussi <[email-masked]>
Date: Tue, 5 May 2026 23:09:47 +0100

On Tue, May 05, 2026 at 10:44:05PM +0100, Philip Radford wrote:
> On Tue, May 05, 2026 at 09:36:26PM +0100, Cristian Marussi wrote:
> > On Tue, Apr 28, 2026 at 10:09:18AM +0100, Philip Radford wrote:
> > > Add support for Power Measurement Averaging Interval (MAI)
> > 
> > Hi,
> > 
> 
> Hi,
> Thanks for the review.
>

Helo,
 
> > > get and set operations to the SCMI powercap protocol driver.
> > > Extends scmi_powercap_info to store MAI configuration and
> > > implement MAI get/set via xfer and optional fast-channel
> > > support.

[snip]

> > > +static int scmi_powercap_xfer_mai_get(const struct scmi_protocol_handle *ph, u32 domain_id,
> > > +				      u32 *mai)
> > 
> > ..bad alignment and till now we try still to stick tpo 80cols in the SCMI
> > stack if it does NOT really hamper readability...
> > 
> 
> I will address this, but I'm quite certain it wasn't flagged by checkpatch.

Oh yes..this is currently a convention we kept in the SCMI subsystem (the
original 80 cols) BUT kernel wise this line length req was relaxed to
100cols a few years ago..so checkoatch will never flag it (not sure if
it is configurable in such regards)...

... so you are excused :P

....anyway maybe Sudeep is fine to relax this...I dont have strong opinions
BUT since all the stack is 80cols at this point...

Thanks,
Cristian